MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004760ACheckerCheckspublic2011-04-28 12:172011-11-25 14:46
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3 
Summary0004760: check 49
DescriptionThe cehck for the correct lang attributes fails when the doctype is XHTML+RDFa etc. Need a regex to id valid extensions to XHTML
TagsNo tags attached.
SVN Revision#9d5df71baf7a721787991adca2a9b98c33c089ad
Attached Files

- Relationships

-  Notes
(0005513)
greg (administrator)
2011-11-18 12:00

Valid Doctype lists
http://www.totalvalidator.com/support/doctypes.html [^]
http://www.w3.org/QA/2002/04/valid-dtd-list.html [^]
(0005525)
cindy (administrator)
2011-11-22 16:25

The improvement has been merged into master project repo @

https://github.com/atutor/AChecker/commit/9d5df71baf7a721787991adca2a9b98c33c089ad [^]

Solution: Modified the criteria of check 49 to pass the validation in the case that the given doctype is not in the described points, rather than failing it.

Affected script: include/classes/BasicFunctions.class.php

- Issue History
Date Modified Username Field Change
2011-04-28 12:17 greg New Issue
2011-11-18 12:00 greg Note Added: 0005513
2011-11-22 09:59 cindy Assigned To => cindy
2011-11-22 09:59 cindy Status new => assigned
2011-11-22 16:25 cindy SVN Revision# => 9d5df71baf7a721787991adca2a9b98c33c089ad
2011-11-22 16:25 cindy Note Added: 0005525
2011-11-22 16:25 cindy Status assigned => resolved
2011-11-22 16:25 cindy Resolution open => fixed
2011-11-25 14:46 greg Fixed in Version => 1.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker